<?php

namespace App\Http\Requests\V1\Payroll;

use Illuminate\Foundation\Http\FormRequest;

class PayPayrollRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'withdrawal_id' => ['nullable', 'integer', 'exists:withdrawals,id'],
        ];
    }

    public function attributes(): array
    {
        return [
            'withdrawal_id' => __('validation.attributes.withdrawal_id'),
        ];
    }
}
